<h:form xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml"
>

    <gri:menu name="Demographic Data Server" homeURL="/DDS/">
        <f:facet name="logo">
            <h:graphicImage value="/resources/img/gazelle.png"/>
        </f:facet>

        <!-- CREATE PATIENT MENU -->
        <gri:menuItem url="/DDS/patient/CreatePatient.seam">
            <h:outputText value="#{messages['gazelle.dds.CreatePatient']}"/>
        </gri:menuItem>
        <!-- LIST PATIENT MENU -->
        <gri:menuItem url="/DDS/patient/listPatients.seam">
            <h:outputText value="#{messages['gazelle.dds.SeeExistingPatient']}"/>
        </gri:menuItem>
        <!-- SHARE PATIENT MENU -->
        <gri:menuItem url="/DDS/patient/sharePatient.seam">
            <h:outputText value="#{messages['gazelle.dds.SharePatients']}"/>
        </gri:menuItem>

        <f:facet name="right">

            <gri:menuItem rendered="#{s:hasRole('admin_role')}">
                <h:outputText value="#{messages['net.ihe.gazelle.maven.Administration']}"/>

                <gri:menuItem icon="fa fa-wrench"
                              url="/DDS/admin/configure.seam" rendered="#{s:hasRole('admin_role')}">
                    <h:outputText value="#{messages['gazelle.dds.ConfigureApplication']}"/>
                </gri:menuItem>
                <gri:menuItem icon="gzl-icon-gears"
                              url="/DDS/admin/statistics.seam"
                              rendered="#{s:hasRole('admin_role') and not applicationConfigurationProvider.applicationMode.equals('minimal')}">
                    <h:outputText value="#{messages['gazelle.hl7.validator.Statistics']}"/>
                </gri:menuItem>

            </gri:menuItem>

            <gri:menuItem>
                <h:outputLink id="onClickGoToHelp"
                              value="#{applicationConfigurationProvider.getDocumentation()}"
                              target="_blank">
                    <span class="fa fa-question-circle" style="float: left; margin-top: -0.07em;"/>
                    <h:outputText id="helpOutputText"
                                  value="#{messages['net.ihe.gazelle.maven.Help']}"/>
                </h:outputLink>
            </gri:menuItem>

            <ui:include src="/layout/_login_menu.xhtml"/>
        </f:facet>
    </gri:menu>

</h:form>
